Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class ClientDocument

    java.lang.Object
      |
      +--oracle.jbo.common.ClientDocument

public class ClientDocument
extends java.lang.Object
implements java.io.Serializable

Internal: Applications should not use this class.

Defines a simple XML document.

A `ClientDocument` instance contains the root element of an XML hierarchy tree. The middle-tier provides an XML parser and can construct an XML hierarchy tree from XML, or convert a tree into XML.

Since:
  Jdeveloper 3.0
See Also:
  `ClientElement`, Serialized Form

Constructor Summary
`ClientDocument()` Internal: Applications should not use this constructor.
`ClientDocument(ClientElement root)` Designates an XML element as the root of an XML hierarchy.

Method Summary
`ClientElement` | `getRoot()` Gets the root element of this `ClientDocument`'s XML hierarchy.
`static void` | `main(java.lang.String[] args)`
`void` | `readXML(java.lang.String fileName)` Consructs the hierarchy tree from an XML file.
`void` | `writeXML(java.io.File file)` Writes the hierarchy tree in XML format to a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientDocument

    public ClientDocument()

  Internal: Applications should not use this constructor.

### ClientDocument

    public ClientDocument(ClientElement root)

  Designates an XML element as the root of an XML hierarchy.
  Parameters:
    `root` - an XML element.

Method Detail

### getRoot

    public ClientElement getRoot()

  Gets the root element of this `ClientDocument`'s XML hierarchy.

### writeXML

    public void writeXML(java.io.File file)
                  throws java.io.IOException

  Writes the hierarchy tree in XML format to a file.
  Parameters:
    `file` - the destination file.

### readXML

    public void readXML(java.lang.String fileName)

  Consructs the hierarchy tree from an XML file.
  Parameters:
    `fileName` - the source file.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD